﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Razor_MultiSelect_DDL_jQuery.Models;

using Microsoft.AspNetCore.Mvc.Rendering;


namespace Razor_MultiSelect_DDL_jQuery.Pages
{
    public class IndexModel : PageModel
    {
        private DBCtx Context { get; }
        public IndexModel(DBCtx _context)
        {
            this.Context = _context;
        }

        public SelectList Customers { get; set; }

        public void OnGet()
        {
            this.Customers = new SelectList(this.Context.Customers, "CustomerId", "Name");
        }

        public void OnPostSubmit(string[] customerIds)
        {
            this.Customers = new SelectList(this.Context.Customers, "CustomerId", "Name");
            string message = "";
            foreach (string customerId in customerIds)
            {

                SelectListItem selectedItem = this.Customers.ToList().Find(p => p.Value == customerId);
                message += "Name: " + selectedItem.Text;
                message += "\\nID: " + selectedItem.Value;
                message += "\\n";
            }
            ViewData["Message"] = message;
        }

    }
}